Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class MavenPlugin

    java.lang.Object
      org.gradle.api.plugins.MavenPlugin

All Implemented Interfaces:
  Plugin

    public class MavenPlugin

A Plugin which allows project artifacts to be deployed to a Maven repository, or installed to the local Maven cache.

Authors:
  Hans Dockter

Field Summary
`static int` | `COMPILE_PRIORITY`
`static String` | `INSTALL_TASK_NAME`
`static int` | `PROVIDED_COMPILE_PRIORITY`
`static int` | `PROVIDED_RUNTIME_PRIORITY`
`static int` | `RUNTIME_PRIORITY`
`static int` | `TEST_COMPILE_PRIORITY`
`static int` | `TEST_RUNTIME_PRIORITY`

Method Summary
`void` | `apply(ProjectInternal project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### COMPILE_PRIORITY

    public static final int COMPILE_PRIORITY

### INSTALL_TASK_NAME

    public static final String INSTALL_TASK_NAME

### PROVIDED_COMPILE_PRIORITY

    public static final int PROVIDED_COMPILE_PRIORITY

### PROVIDED_RUNTIME_PRIORITY

    public static final int PROVIDED_RUNTIME_PRIORITY

### RUNTIME_PRIORITY

    public static final int RUNTIME_PRIORITY

### TEST_COMPILE_PRIORITY

    public static final int TEST_COMPILE_PRIORITY

### TEST_RUNTIME_PRIORITY

    public static final int TEST_RUNTIME_PRIORITY

Method Detail

### apply

    public void apply(ProjectInternal project)

Gradle API 1.1-rc-1